<h1>Exemplo</h1>

Nome: <input name="nome" [(ngModel)]="produto.nome"/>  <br/>
Preço: <input name="preco" [(ngModel)]="produto.preco"/>  <br/>
Qtd: <input name="quantidade" [(ngModel)]="produto.quantidade"/>  <br/>
<button (click)="add()">Add</button> <br/>
<table>
  <tr>
    <th>Nome</th>
    <th>Preço Unit</th>
    <th>Qtd</th>
    <th>Preço Total</th>
    <th>Excluir</th>
    <th>Editar</th>
  </tr>
  <tr *ngFor='let p of produtos'>
    <td>{{p.nome}}</td>
    <td><input name="precoItem" [(ngModel)]="p.preco"/></td>
    <td><input name="quantidadeItem" [(ngModel)]="p.quantidade"/></td>
    <td>{{p.getTotal()}}</td>
    <td><button (click)="excluir(p)">Excluir</button></td>
    <td><button (click)="editar(p)">Editar</button></td>

  </tr>
  Total: {{getTotalPedido()}}
</table>